org.apache.poi.hslf.usermodel

## Class HSLFHyperlink

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFHyperlink

- All Implemented Interfaces:
    Hyperlink

      public final class HSLFHyperlink
      extends java.lang.Object
      implements Hyperlink<HSLFShape,HSLFTextParagraph>

  Represents a hyperlink in a PowerPoint document

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HSLFHyperlink(ExHyperlink exHyper, InteractiveInfo info)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static HSLFHyperlink` | `find(HSLFShape shape)` Find hyperlink assigned to the supplied shape
    `static java.util.List<HSLFHyperlink>` | `find(HSLFTextShape shape)` Find hyperlinks in a text shape
    `protected static java.util.List<HSLFHyperlink>` | `find(java.util.List<HSLFTextParagraph> paragraphs)` Find hyperlinks in a text paragraph
    `java.lang.String` | `getAddress()` Hyperlink address.
    `int` | `getEndIndex()` Gets the ending character position
    `ExHyperlink` | `getExHyperlink()`
    `int` | `getId()`
    `InteractiveInfo` | `getInfo()`
    `java.lang.String` | `getLabel()` Return text label for this hyperlink
    `int` | `getStartIndex()` Gets the beginning character position
    `TxInteractiveInfoAtom` | `getTextRunInfo()`
    `HyperlinkType` | `getType()` Gets the type of the hyperlink action.
    `HyperlinkType` | `getTypeEnum()` Deprecated. use `getType` instead
    `void` | `linkToEmail(java.lang.String emailAddress)` Link to an email
    `void` | `linkToFirstSlide()` Link to the first slide in this slideshow
    `void` | `linkToLastSlide()` Link to the last slide in this slideshow
    `void` | `linkToNextSlide()` Link to the next slide (relative from the current)
    `void` | `linkToPreviousSlide()` Link to the previous slide (relative from the current)
    `void` | `linkToSlide(Slide<HSLFShape,HSLFTextParagraph> slide)` Link to a slide in this slideshow
    `void` | `linkToUrl(java.lang.String url)` Link to a web page / URL
    `void` | `setAddress(java.lang.String str)` Hyperlink address.
    `void` | `setEndIndex(int endIndex)` Sets the ending character position
    `void` | `setLabel(java.lang.String label)` Sets text label for this hyperlink
    `void` | `setStartIndex(int startIndex)` Sets the beginning character position
    `protected void` | `setTextRunInfo(TxInteractiveInfoAtom txinfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSLFHyperlink

          protected HSLFHyperlink(ExHyperlink exHyper,
                                  InteractiveInfo info)

  - ### Method Detail

    - #### getExHyperlink

          public ExHyperlink getExHyperlink()

    - #### getInfo

          public InteractiveInfo getInfo()

    - #### getTextRunInfo

          public TxInteractiveInfoAtom getTextRunInfo()

    - #### setTextRunInfo

          protected void setTextRunInfo(TxInteractiveInfoAtom txinfo)

    - #### getType

          public HyperlinkType getType()

      Gets the type of the hyperlink action. Must be a `LINK_*` constant
      Specified by:
        `getType` in interface `Hyperlink`
      Returns:
        the hyperlink URL
      See Also:
        `InteractiveInfoAtom`

    - #### getTypeEnum

          @Deprecated
           @Removal(version="4.2")
          public HyperlinkType getTypeEnum()

      Deprecated. use `getType` instead
      Gets the type of the hyperlink action. Must be a `LINK_*` constant
      Specified by:
        `getTypeEnum` in interface `Hyperlink`
      Returns:
        the hyperlink URL
      See Also:
        `InteractiveInfoAtom`

    - #### linkToEmail

          public void linkToEmail(java.lang.String emailAddress)

      Description copied from interface: `Hyperlink`
      Link to an email
      Parameters:
        `emailAddress` - the email address

    - #### linkToUrl

          public void linkToUrl(java.lang.String url)

      Description copied from interface: `Hyperlink`
      Link to a web page / URL
      Parameters:
        `url` - the url

    - #### linkToSlide

          public void linkToSlide(Slide<HSLFShape,HSLFTextParagraph> slide)

      Description copied from interface: `Hyperlink`
      Link to a slide in this slideshow
      Parameters:
        `slide` - the linked slide

    - #### linkToNextSlide

          public void linkToNextSlide()

      Description copied from interface: `Hyperlink`
      Link to the next slide (relative from the current)

    - #### linkToPreviousSlide

          public void linkToPreviousSlide()

      Description copied from interface: `Hyperlink`
      Link to the previous slide (relative from the current)

    - #### linkToFirstSlide

          public void linkToFirstSlide()

      Description copied from interface: `Hyperlink`
      Link to the first slide in this slideshow

    - #### linkToLastSlide

          public void linkToLastSlide()

      Description copied from interface: `Hyperlink`
      Link to the last slide in this slideshow

    - #### getAddress

          public java.lang.String getAddress()

      Description copied from interface: `Hyperlink`
      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Specified by:
        `getAddress` in interface `Hyperlink`
      Returns:
        the address of this hyperlink

    - #### setAddress

          public void setAddress(java.lang.String str)

      Description copied from interface: `Hyperlink`
      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Specified by:
        `setAddress` in interface `Hyperlink`
      Parameters:
        `str` - the address of this hyperlink

    - #### getId

          public int getId()

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from interface: `Hyperlink`
      Return text label for this hyperlink
      Specified by:
        `getLabel` in interface `Hyperlink`
      Returns:
        text to display

    - #### setLabel

          public void setLabel(java.lang.String label)

      Description copied from interface: `Hyperlink`
      Sets text label for this hyperlink
      Specified by:
        `setLabel` in interface `Hyperlink`
      Parameters:
        `label` - text label for this hyperlink

    - #### getStartIndex

          public int getStartIndex()

      Gets the beginning character position
      Returns:
        the beginning character position

    - #### setStartIndex

          public void setStartIndex(int startIndex)

      Sets the beginning character position
      Parameters:
        `startIndex` - the beginning character position

    - #### getEndIndex

          public int getEndIndex()

      Gets the ending character position
      Returns:
        the ending character position

    - #### setEndIndex

          public void setEndIndex(int endIndex)

      Sets the ending character position
      Parameters:
        `endIndex` - the ending character position

    - #### find

          public static java.util.List<HSLFHyperlink> find(HSLFTextShape shape)

      Find hyperlinks in a text shape
      Parameters:
        `shape` - `TextRun` to lookup hyperlinks in
      Returns:
        found hyperlinks or `null` if not found

    - #### find

          protected static java.util.List<HSLFHyperlink> find(java.util.List<HSLFTextParagraph> paragraphs)

      Find hyperlinks in a text paragraph
      Parameters:
        `paragraphs` - List of `TextParagraph` to lookup hyperlinks
      Returns:
        found hyperlinks

    - #### find

          protected static HSLFHyperlink find(HSLFShape shape)

      Find hyperlink assigned to the supplied shape
      Parameters:
        `shape` - `Shape` to lookup hyperlink in
      Returns:
        found hyperlink or `null`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.